Subject: Re: bug#34474: Save last search string between sessions

From: Robert Pluim <[email-masked]>
Date: Thu, 14 Feb 2019 09:54:18 +0100

積丹尼 Dan Jacobson <[email-masked]> writes:

> You know just the other day I was reading
> (info "(emacs) Repeat Isearch")
> and thinking, oh the mighty emacs, doesn't even have an option to save
> the last search string between session, like the puny less(1) can.
> Let's see, you could save it in .emacs.d/* somewhere.
> (Yes, I'm sure somebody has already implemented this as an add-on.)
> (Sure, you might say well then also save the last yank area too, etc.
> but I didn't say that.)
>
> Ah yes, say goodbye to every morning:
> "I-search:  [No previous search string]"
> (which by the way doesn't show up in *Messages*)

desktop can do this. It is part of Emacs.

Robert